;;; Domain: Domain:_US_Army_Small_Unit_Operations

;;; Common Process Translator CPL<-->TF v2.3
;;; Author: Steve Polyak, Dept. AI, Edinburgh University
;;; Task Formalism generated on: Wed Feb 28 12:14:31 GMT+00:00 2001

types Position = ( POSITION_TOM POSITON_JERRY),
      LZ = ( LZ_OWL LZ_ROBIN LZ_SPARROW),
      Objective = ( OBJECTIVE_SAN_ROBERTO OBJECTIVE_WEASEL OBJECTIVE_FERRET OBJECTIVE_COYOTE),
      military_unit = ( 1st_Platoon 2nd_platoon 3rd_platoon 4th_platoon team_1_1st_platoon team_b_1st_platoon team_a_2nd_platoon team_b_2nd_platoon team_a_3rd_platoon team_b_3rd_platoon team_a_4th_platoon team_b_4th_platoon team_a_1st_platoon_1_504 team_b_1st_platoon_1_504 ground_assult_element),
      observation_point = ( OBS_PT_2 OBS_PT_1 OBS_PT_MIKE);




schema task_Operation_San_Roberto;
  nodes 2 finish,
        1 start,
        3 action {{land team_a_3rd_Platoon LZ_OWL}},
        4 action {{move team_a_3rd_platoon obs_pt_mike}},
        5 action {act4},
        6 action {{conduct_detailed_reconnaissance team_a_3rd_platoon objective_san_roberto}},
        7 action {{evacuate_non_combatants team_a_3rd_platton ?from ?to}};
  orderings end_of 1 ---> begin_of 3, end_of 3 ---> begin_of 4, end_of 4 ---> begin_of 6, end_of 6 ---> begin_of 7;

end_schema;

